#include <bits/stdc++.h>
using namespace std;
string a,b,res;
int x,y,z;
int main(){
cin>>a>>b;
res="";
if(a.size()==b.size()){
      x=a.size();
   for(int i=0;i<x;i++){
      if(a[i]>b[i])res=res+a[i];
         else if(a[i]<b[i])res=res+b[i];
                  else res=res+a[i]+b[i];
   }
}
   else if(a.size()<b.size()){
      x=a.size();
      y=b.size();
      z=y-x;
      for(int i=1;i<z;i++){
         a='!'+a;
      }
      for(int i=0;i<y;i++){
      if(a[i]>b[i])res=res+a[i];
         else if(a[i]<b[i])res=res+b[i];
                  else res=res+a[i]+b[i];
      }
   }
      else{
         x=a.size();
         y=b.size();
         z=x-y;
         for(int i=1;i<=z;i++){
         b='!'+b;
         }
         for(int i=0;i<x;i++){
         if(a[i]>b[i])res=res+a[i];
            else if(a[i]<b[i])res=res+b[i];
               else res=res+a[i]+b[i];
         }
      }
   cout<<res<<endl;

return 0;
}